"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const Clocks = require("./clocks");
function testClock(clockName, c) {
    c.reset();
    testGetTime(clockName, c, 0);
    c.tick();
    testGetTime(clockName, c, 1);
    c.tick();
    testGetTime(clockName, c, 2);
}
function testGetTime(clockName, c, correctValue) {
    const clockTime = c.getTime();
    it(`Testing ${clockName} at ${correctValue}`, () => {
        expect(clockTime).toEqual(correctValue);
    });
}
describe("tests of Clock1", () => {
    testClock("Clock1", new Clocks.Clock1());
});
describe("tests of Clock2", () => {
    testClock("Clock2", new Clocks.Clock2());
});
describe("tests of Clock3", () => {
    testClock("Clock3", new Clocks.Clock3());
});
//# sourceMappingURL=clocks.spec.js.map