"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const simpleClockUsingPull_1 = require("./simpleClockUsingPull");
test("test of SimpleClock", () => {
    const clock1 = new simpleClockUsingPull_1.SimpleClock;
    expect(clock1.getTime()).toBe(0);
    clock1.tick();
    clock1.tick();
    expect(clock1.getTime()).toBe(2);
    clock1.reset();
    expect(clock1.getTime()).toBe(0);
});
test("test of ClockClient", () => {
    const clock1 = new simpleClockUsingPull_1.SimpleClock;
    expect(clock1.getTime()).toBe(0);
    const client1 = new simpleClockUsingPull_1.ClockClient(clock1);
    expect(clock1.getTime()).toBe(0);
    expect(client1.getTimeFromClock()).toBe(0);
    clock1.tick();
    clock1.tick();
    expect(client1.getTimeFromClock()).toBe(2);
});
//# sourceMappingURL=simpleClockUsingPull.spec.js.map