import AbsClock from "./AbsClock";

export class Clock1 implements AbsClock {
    private time = 0
    public reset () {this.time = 0}
    public tick () { this.time++ }
    public getTime(): number { return this.time }
}

// counts down from 0
export class Clock2 implements AbsClock {
    private time = 0
    public reset () {this.time = 0}
    public tick () { this.time-- }
    public getTime () {return (0 - this.time)}
}

// counts from 42
export class Clock3 implements AbsClock {
    private time = 42
    public reset () {this.time = 42}  // I originally put a 0 here :)
    public tick () { this.time++ }
    public getTime () {return this.time - 42}
}